﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ChartSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            InitInstance();
        }

        private void InitInstance()
        {
            chart.LegendLocation = LiveCharts.LegendLocation.Top;
            chart.AxisY.Add(new LiveCharts.Wpf.Axis { MinValue = 0, MaxValue = 1000 });
            chart.Series.Clear();

            chart.Series.Add(new LiveCharts.Wpf.LineSeries()
            {
                Title = "Sample1",
                Stroke = new SolidColorBrush(Colors.Blue),
                Values = new LiveCharts.ChartValues<double>(new List<double> { 700, 200, 300, 400, 500, 600, 700, 800, 900, 90 })
            });

            chart.Series.Add(new LiveCharts.Wpf.LineSeries()
            {
                Title = "Sample2",
                Stroke = new SolidColorBrush(Colors.Gray),
                Values = new LiveCharts.ChartValues<double>(new List<double> { 70, 20, 100, 140, 50, 60, 70, 80, 90, 100 })
            });

            var x = Enumerable.Range(0, 1001).Select(i => i / 10.0).ToArray();
            var y = x.Select(v => Math.Abs(v) < 1e-10 ? 1 : Math.Sin(v) / v).ToArray();
            iddLineGraph.Plot(x, y);
        }
    }
}
